Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.jsystems.framework.common.action
Class ActionManager.ActionKey

    java.lang.Object
      de.jsystems.framework.common.action.ActionManager.ActionKey

Enclosing class:
  ActionManager

private class ActionManager.ActionKey
extends Object

Diese Klasse stellt den Schluessel in einer HashMap dar fuer alle Actions, die ein Control zu einer bestimmten View verwalten. Da eine Action zu mehr als einem Control gehoeren kann und diese Controls auf mehr als einer View vorhanden sein koennen, muessen diese Action unterscheidbar sein. Denn in der Action wird auch eine Referentz auf die View gehalten. Und diese sollte natuerlich zum Control passen. Mit hilfe dieser Klasse wird dafuer gesorgt, das eine Action unter einem Namen zu einer View nur einmal existiert.

Version:
  1.0
  Copyright by Jens Homm 2000 - 2004
Author:
  Jens Homm JSYSTEMS

Field Summary
`private org.apache.log4j.Logger` | `logger`
`private String` | `name` Der Name der Action.
`private BusinessView` | `view` Die View uaf der sich das Control fuer die Action befindet.

Constructor Summary
`ActionManager.ActionKey(String name, BusinessView view)` Erzeugt einen neuen ActionKey fuer die Action und die zugehoerige View.

Method Summary
`boolean` | `equals(Object o)` Vergleicht das uebergebene O=bjekt mit diesem Objekt auf Gleichheit.
`String` | `getName()` Gibt den vollqualifizierten Klassennamen der Action zurueck.
`BusinessView` | `getView()` Gibt die View zurueck, auf der sich das Control zur Action befindet.
`int` | `hashCode()` Gibt den Hashcode des ActionKey zurueck.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### logger

    private org.apache.log4j.Logger logger

### name

    private String name

  Der Name der Action.

### view

    private BusinessView view

  Die View uaf der sich das Control fuer die Action befindet.

Constructor Detail

### ActionManager.ActionKey

    public ActionManager.ActionKey(String name,
                                   BusinessView view)

  Erzeugt einen neuen ActionKey fuer die Action und die zugehoerige View.

Parameters:
  `name` - Der vollqualifizierte Klassenname der Action.
  `view` - Die View mit dem Control zur Action.

Method Detail

### getName

    public String getName()

  Gibt den vollqualifizierten Klassennamen der Action zurueck.

  Returns:
    Der vollqualifizierte Klassenname der Action.

### getView

    public BusinessView getView()

  Gibt die View zurueck, auf der sich das Control zur Action befindet.

  Returns:
    Die View mit dem Control zur Action.

### equals

    public boolean equals(Object o)

  Vergleicht das uebergebene O=bjekt mit diesem Objekt auf Gleichheit. Zwei ActionKeys sind dann gleich, wenn die internen Namen inhaltlich gleich sind und die enthaltenen Views beide auf den gleichen Speicherbereich zeigen(beide Referenzen des selben Objektes sind). Der Vergleich findet nur dann statt, wenn das uebergebene Objekt vom Typ ActionKey ist.

  Parameters:
    `o` - Das zu vergleichende Objekt.
  Returns:
    TRUE, wenn das uebergebene Objekt vom richtigen Typ ist und beide den gleichen Namen und die gleiche refernez auf die View enthalten.

### hashCode

    public int hashCode()

  Gibt den Hashcode des ActionKey zurueck. Dabei handelt es sich um den Hashcode des enthaltenen Namens.

  Returns:
    Der hashcode des actionKey.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD